{
  "accUserMode" : 2,
  "getCapPSLanguageRes" : {
    "lanResTag" : "PAGE.CAPTION.TEST.DASHBOARDVIEW"
  },
  "caption" : "实体数据看板视图",
  "codeName" : "TESTDashboardView",
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTDashboardView.json",
  "name" : "TESTDashboardView",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
  },
  "getPSAppModule" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPMODULES/Test.json"
  },
  "getPSAppViewEngines" : [ {
    "engineCat" : "VIEW",
    "engineType" : "PortalView",
    "name" : "engine"
  } ],
  "getPSControls" : [ {
    "codeName" : "DashboardView_Dashboard",
    "controlType" : "DASHBOARD",
    "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST/PSDASHBOARDS/DashboardView_Dashboard.json",
    "logicName" : "实体数据看板视图_数据看板",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
    },
    "getPSControlHandler" : {
      "enableDEFieldPrivilege" : false,
      "id" : "dashboard"
    },
    "getPSControlParam" : {
      "autoLoad" : true,
      "showBusyIndicator" : true,
      "id" : "DASHBOARD"
    },
    "getPSLayout" : {
      "childColMD" : 24,
      "columnCount" : 24,
      "layout" : "TABLE_24COL"
    },
    "getPSControls" : [ {
      "codeName" : "DashboardViewdashboard_container1",
      "controlType" : "PORTLET",
      "name" : "dashboard_container1",
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
      },
      "getPSControlHandler" : {
        "enableDEFieldPrivilege" : false,
        "id" : "dashboard_container1"
      },
      "getPSControlParam" : {
        "autoLoad" : true,
        "showBusyIndicator" : true
      },
      "getPSLayout" : {
        "childColMD" : 24,
        "columnCount" : 24,
        "layout" : "TABLE_24COL"
      },
      "getPSLayoutPos" : {
        "colMD" : 24,
        "layout" : "TABLE_24COL"
      },
      "getPSControls" : [ {
        "actionGroupExtractMode" : "ITEM",
        "codeName" : "portletView",
        "controlType" : "PORTLET",
        "height" : 300.0,
        "name" : "dashboard_sysportlet1",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
        },
        "getPSControlHandler" : {
          "enableDEFieldPrivilege" : false,
          "id" : "dashboard_sysportlet1"
        },
        "getPSControlParam" : {
          "autoLoad" : true,
          "showBusyIndicator" : true
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "getPSUIActionGroup" : {
          "codeName" : "Usr0803774731",
          "name" : "门户界面行为组",
          "getPSUIActionGroupDetails" : [ {
            "getCapPSLanguageRes" : {
              "lanResTag" : "TBB.TEXT.*.NEW"
            },
            "caption" : "新建",
            "detailType" : "DEUIACTION",
            "name" : "u71a8bd4",
            "getPSSysCss" : {
              "cssName" : "crm-editview2-head"
            },
            "getPSSysImage" : {
              "glyph" : "xf0f6@FontAwesome",
              "cssClass" : "fa fa-file-text-o"
            },
            "getPSUIAction" : {
              "getCapPSLanguageRes" : {
                "lanResTag" : "TBB.TEXT.*.NEW"
              },
              "caption" : "新建",
              "codeName" : "New",
              "fullCodeName" : "New",
              "name" : "表格界面_新建操作",
              "getPSSysImage" : {
                "glyph" : "xf0f6@FontAwesome",
                "cssClass" : "fa fa-file-text-o"
              },
              "predefinedType" : "GRIDVIEW_NEWACTION",
              "refreshMode" : 1,
              "timeout" : 60000,
              "getTooltipPSLanguageRes" : {
                "lanResTag" : "TBB.TOOLTIP.*.NEW"
              },
              "uIActionMode" : "SYS",
              "uIActionTag" : "New",
              "uIActionType" : "DEUIACTION",
              "reloadData" : true
            },
            "getTooltipPSLanguageRes" : {
              "lanResTag" : "TBB.TOOLTIP.*.NEW"
            },
            "addSeparator" : false,
            "showCaption" : true,
            "showIcon" : true
          }, {
            "buttonStyle" : "DANGER",
            "getCapPSLanguageRes" : {
              "lanResTag" : "TBB.TEXT.*.EDIT"
            },
            "caption" : "编辑",
            "detailType" : "DEUIACTION",
            "name" : "uea72408",
            "getPSSysImage" : {
              "glyph" : "xf044@FontAwesome",
              "cssClass" : "fa fa-edit"
            },
            "getPSUIAction" : {
              "actionTarget" : "SINGLEKEY",
              "buttonStyle" : "DANGER",
              "getCapPSLanguageRes" : {
                "lanResTag" : "TBB.TEXT.*.EDIT"
              },
              "caption" : "编辑",
              "codeName" : "Edit",
              "fullCodeName" : "Edit",
              "name" : "表格界面_编辑操作_危险样式",
              "getPSSysImage" : {
                "glyph" : "xf044@FontAwesome",
                "cssClass" : "fa fa-edit"
              },
              "predefinedType" : "GRIDVIEW_EDITACTION",
              "timeout" : 60000,
              "getTooltipPSLanguageRes" : {
                "lanResTag" : "TBB.TOOLTIP.*.EDIT"
              },
              "uIActionMode" : "SYS",
              "uIActionTag" : "Edit",
              "uIActionType" : "DEUIACTION"
            },
            "getTooltipPSLanguageRes" : {
              "lanResTag" : "TBB.TOOLTIP.*.EDIT"
            },
            "addSeparator" : false,
            "showCaption" : true,
            "showIcon" : true
          }, {
            "buttonStyle" : "WARNING",
            "caption" : "百度",
            "detailType" : "DEUIACTION",
            "name" : "ubae97f0",
            "getPSUIAction" : {
              "actionTarget" : "NONE",
              "buttonStyle" : "WARNING",
              "caption" : "百度",
              "codeName" : "openBaidu",
              "counterId" : "openBaidu",
              "frontProcessType" : "OPENHTMLPAGE",
              "fullCodeName" : "openBaidu",
              "htmlPageUrl" : "https://www.baidu.com/",
              "name" : "百度_警告样式",
              "getPSAppCounter" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPCOUNTERS/UIActionCounter.json"
              },
              "uIActionMode" : "FRONT",
              "uIActionTag" : "openBaidu",
              "uIActionType" : "DEUIACTION"
            },
            "addSeparator" : false,
            "showCaption" : true,
            "showIcon" : true
          }, {
            "getCapPSLanguageRes" : {
              "lanResTag" : "TBB.TEXT.*.REMOVE"
            },
            "caption" : "删除",
            "detailType" : "DEUIACTION",
            "name" : "uee0dcd7",
            "getPSSysImage" : {
              "glyph" : "xf00d@FontAwesome",
              "cssClass" : "fa fa-remove"
            },
            "getPSUIAction" : {
              "actionTarget" : "MULTIKEY",
              "getCapPSLanguageRes" : {
                "lanResTag" : "TBB.TEXT.*.REMOVE"
              },
              "caption" : "删除",
              "codeName" : "Remove",
              "fullCodeName" : "Remove",
              "name" : "表格界面_删除操作",
              "getPSSysImage" : {
                "glyph" : "xf00d@FontAwesome",
                "cssClass" : "fa fa-remove"
              },
              "predefinedType" : "GRIDVIEW_REMOVEACTION",
              "timeout" : 60000,
              "getTooltipPSLanguageRes" : {
                "lanResTag" : "TBB.TOOLTIP.*.REMOVE"
              },
              "uIActionMode" : "SYS",
              "uIActionTag" : "Remove",
              "uIActionType" : "DEUIACTION"
            },
            "getTooltipPSLanguageRes" : {
              "lanResTag" : "TBB.TOOLTIP.*.REMOVE"
            },
            "addSeparator" : false,
            "showCaption" : true,
            "showIcon" : true
          }, {
            "buttonStyle" : "SUCCESS",
            "caption" : "树选择取消",
            "detailType" : "DEUIACTION",
            "name" : "u160e609",
            "getPSUIAction" : {
              "actionTarget" : "NONE",
              "buttonStyle" : "SUCCESS",
              "caption" : "树选择取消",
              "codeName" : "TreePickerCancel",
              "frontProcessType" : "OTHER",
              "fullCodeName" : "TreePickerCancel",
              "name" : "树选择取消_成功样式",
              "scriptCode" : "console.log('树选择取消');\r\nconst form = view.ctx.controllersMap.get('form');\r\nif (form) {\r\n    const treePicker = form.details['field24'];\r\n    if (treePicker && treePicker.state) treePicker.state.readonly = true;\r\n}",
              "uIActionMode" : "FRONT",
              "uIActionTag" : "TreePickerCancel",
              "uIActionType" : "DEUIACTION"
            },
            "addSeparator" : false,
            "showCaption" : true,
            "showIcon" : true
          } ]
        },
        "getPortletPSAppView" : {
          "accUserMode" : 4,
          "accessKey" : "MODULE_ONE",
          "caption" : "书",
          "codeName" : "bookGridView",
          "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDEVIEWS/bookGridView.json",
          "funcViewMode" : "MDATAVIEW",
          "gridRowActiveMode" : 2,
          "height" : 500,
          "name" : "bookGridView",
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
          },
          "getPSAppModule" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPMODULES/common.json"
          },
          "getPSAppViewEngines" : [ {
            "engineCat" : "VIEW",
            "engineType" : "GridView",
            "name" : "engine"
          } ],
          "getPSAppViewLogics" : [ {
            "eventNames" : "onMounted",
            "logicTrigger" : "CTRLEVENT",
            "logicType" : "SCRIPT",
            "name" : "LOGIC",
            "getPSViewCtrlName" : "toolbar",
            "scriptCode" : "console.log('工具栏脚本代码')"
          }, {
            "logicTrigger" : "CUSTOM",
            "logicType" : "APPUILOGIC",
            "name" : "newdata",
            "getPSAppUILogic" : {
              "actionAfterWizard" : "DEFAULT",
              "logicType" : "PREDEFINED",
              "name" : "新建数据",
              "getNewDataPSAppView" : {
                "getPSNavigateContexts" : [ {
                  "key" : "CTX1",
                  "name" : "CTX1",
                  "value" : "ctx1",
                  "rawValue" : true
                }, {
                  "key" : "CTX",
                  "name" : "CTX",
                  "value" : "srforgid",
                  "rawValue" : false
                } ],
                "getPSNavigateParams" : [ {
                  "key" : "test",
                  "name" : "test",
                  "value" : "test",
                  "rawValue" : true
                }, {
                  "key" : "test1",
                  "name" : "test1",
                  "value" : "majorentityname",
                  "rawValue" : false
                } ],
                "getRefPSAppView" : {
                  "modelref" : true,
                  "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/bookUsr08126702EditView.json",
                  "viewType" : "DEEDITVIEW"
                }
              },
              "getPSAppUILogicRefViews" : [ {
                "getPSNavigateContexts" : [ {
                  "key" : "CTX1",
                  "name" : "CTX1",
                  "value" : "ctx1",
                  "rawValue" : true
                }, {
                  "key" : "CTX",
                  "name" : "CTX",
                  "value" : "srforgid",
                  "rawValue" : false
                } ],
                "getPSNavigateParams" : [ {
                  "key" : "test",
                  "name" : "test",
                  "value" : "test",
                  "rawValue" : true
                }, {
                  "key" : "test1",
                  "name" : "test1",
                  "value" : "majorentityname",
                  "rawValue" : false
                } ],
                "getRefPSAppView" : {
                  "modelref" : true,
                  "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/bookUsr08126702EditView.json",
                  "viewType" : "DEEDITVIEW"
                }
              } ],
              "viewLogicType" : "APP_NEWDATA",
              "batchAddOnly" : false,
              "enableBatchAdd" : false,
              "enableWizardAdd" : false
            }
          }, {
            "logicTrigger" : "CUSTOM",
            "logicType" : "APPUILOGIC",
            "name" : "opendata",
            "getPSAppUILogic" : {
              "logicType" : "PREDEFINED",
              "name" : "打开数据",
              "getOpenDataPSAppView" : {
                "getPSNavigateContexts" : [ {
                  "key" : "CTX1",
                  "name" : "CTX1",
                  "value" : "ctx1",
                  "rawValue" : true
                }, {
                  "key" : "CTX",
                  "name" : "CTX",
                  "value" : "srforgid",
                  "rawValue" : false
                } ],
                "getPSNavigateParams" : [ {
                  "key" : "test",
                  "name" : "test",
                  "value" : "test",
                  "rawValue" : true
                }, {
                  "key" : "test1",
                  "name" : "test1",
                  "value" : "majorentityname",
                  "rawValue" : false
                } ],
                "getRefPSAppView" : {
                  "modelref" : true,
                  "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/bookUsr08126702EditView.json",
                  "viewType" : "DEEDITVIEW"
                }
              },
              "getPSAppUILogicRefViews" : [ {
                "getPSNavigateContexts" : [ {
                  "key" : "CTX1",
                  "name" : "CTX1",
                  "value" : "ctx1",
                  "rawValue" : true
                }, {
                  "key" : "CTX",
                  "name" : "CTX",
                  "value" : "srforgid",
                  "rawValue" : false
                } ],
                "getPSNavigateParams" : [ {
                  "key" : "test",
                  "name" : "test",
                  "value" : "test",
                  "rawValue" : true
                }, {
                  "key" : "test1",
                  "name" : "test1",
                  "value" : "majorentityname",
                  "rawValue" : false
                } ],
                "getRefPSAppView" : {
                  "modelref" : true,
                  "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/bookUsr08126702EditView.json",
                  "viewType" : "DEEDITVIEW"
                }
              } ],
              "viewLogicType" : "APP_OPENDATA",
              "editMode" : true
            }
          } ],
          "getPSAppViewRefs" : [ {
            "name" : "OPENDATA",
            "getPSNavigateContexts" : [ {
              "key" : "CTX1",
              "name" : "CTX1",
              "value" : "ctx1",
              "rawValue" : true
            }, {
              "key" : "CTX",
              "name" : "CTX",
              "value" : "srforgid",
              "rawValue" : false
            } ],
            "getPSNavigateParams" : [ {
              "key" : "test",
              "name" : "test",
              "value" : "test",
              "rawValue" : true
            }, {
              "key" : "test1",
              "name" : "test1",
              "value" : "majorentityname",
              "rawValue" : false
            } ],
            "realTitle" : "重复器表单",
            "getRefPSAppView" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/bookUsr08126702EditView.json",
              "viewType" : "DEEDITVIEW"
            }
          }, {
            "name" : "NEWDATA",
            "getPSNavigateContexts" : [ {
              "key" : "CTX1",
              "name" : "CTX1",
              "value" : "ctx1",
              "rawValue" : true
            }, {
              "key" : "CTX",
              "name" : "CTX",
              "value" : "srforgid",
              "rawValue" : false
            } ],
            "getPSNavigateParams" : [ {
              "key" : "test",
              "name" : "test",
              "value" : "test",
              "rawValue" : true
            }, {
              "key" : "test1",
              "name" : "test1",
              "value" : "majorentityname",
              "rawValue" : false
            } ],
            "realTitle" : "重复器表单",
            "getRefPSAppView" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/bookUsr08126702EditView.json",
              "viewType" : "DEEDITVIEW"
            }
          }, {
            "name" : "EDITDATA",
            "getPSNavigateContexts" : [ {
              "key" : "CTX1",
              "name" : "CTX1",
              "value" : "ctx1",
              "rawValue" : true
            }, {
              "key" : "CTX",
              "name" : "CTX",
              "value" : "srforgid",
              "rawValue" : false
            } ],
            "getPSNavigateParams" : [ {
              "key" : "test",
              "name" : "test",
              "value" : "test",
              "rawValue" : true
            }, {
              "key" : "test1",
              "name" : "test1",
              "value" : "majorentityname",
              "rawValue" : false
            } ],
            "realTitle" : "重复器表单",
            "getRefPSAppView" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/bookUsr08126702EditView.json",
              "viewType" : "DEEDITVIEW"
            }
          } ],
          "getPSControls" : [ {
            "aggMode" : "NONE",
            "codeName" : "Main",
            "columnEnableFilter" : 2,
            "columnEnableLink" : 2,
            "controlType" : "GRID",
            "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book/PSGRIDS/Main.json",
            "getFetchPSControlAction" : {
              "modelref" : true,
              "id" : "fetch",
              "actionType" : "DEDATASET",
              "name" : "fetch",
              "getPSAppDEMethod" : {
                "modelref" : true,
                "id" : "FetchDefault"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
              }
            },
            "gridStyle" : "USER",
            "groupMode" : "NONE",
            "logicName" : "主表格",
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
            },
            "getPSControlHandler" : {
              "getPSHandlerActions" : [ {
                "actionName" : "Get",
                "actionType" : "DEACTION",
                "dataAccessAction" : "READ",
                "name" : "load",
                "getPSAppDEMethod" : {
                  "modelref" : true,
                  "id" : "Get"
                },
                "getPSAppDataEntity" : {
                  "modelref" : true,
                  "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
                }
              }, {
                "actionName" : "Create",
                "actionType" : "DEACTION",
                "dataAccessAction" : "CREATE",
                "name" : "create",
                "getPSAppDEMethod" : {
                  "modelref" : true,
                  "id" : "Create"
                },
                "getPSAppDataEntity" : {
                  "modelref" : true,
                  "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
                }
              }, {
                "actionName" : "Update",
                "actionType" : "DEACTION",
                "dataAccessAction" : "UPDATE",
                "name" : "update",
                "getPSAppDEMethod" : {
                  "modelref" : true,
                  "id" : "Update"
                },
                "getPSAppDataEntity" : {
                  "modelref" : true,
                  "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
                }
              }, {
                "actionName" : "Remove",
                "actionType" : "DEACTION",
                "dataAccessAction" : "DELETE",
                "name" : "remove",
                "getPSAppDEMethod" : {
                  "modelref" : true,
                  "id" : "Remove"
                },
                "getPSAppDataEntity" : {
                  "modelref" : true,
                  "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
                }
              }, {
                "actionName" : "GetDraft",
                "actionType" : "DEACTION",
                "dataAccessAction" : "CREATE",
                "name" : "loaddraft",
                "getPSAppDEMethod" : {
                  "modelref" : true,
                  "id" : "GetDraft"
                },
                "getPSAppDataEntity" : {
                  "modelref" : true,
                  "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
                }
              }, {
                "actionType" : "DEDATASET",
                "name" : "fetch",
                "getPSAppDEMethod" : {
                  "modelref" : true,
                  "id" : "FetchDefault"
                },
                "getPSAppDataEntity" : {
                  "modelref" : true,
                  "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
                }
              } ],
              "userDRAction" : "READ",
              "enableDEFieldPrivilege" : false,
              "id" : "数据表格处理器"
            },
            "getPSControlParam" : {
              "autoLoad" : true,
              "showBusyIndicator" : true,
              "id" : "GRID"
            },
            "getPSDEDataExport" : {
              "modelref" : true,
              "id" : "DataExport2"
            },
            "getPSDEGridColumns" : [ {
              "align" : "LEFT",
              "cLConvertMode" : "NONE",
              "caption" : "书名称",
              "codeName" : "bookname",
              "columnType" : "DEFGRIDCOLUMN",
              "dataItemName" : "bookname",
              "excelCaption" : "书名称",
              "name" : "bookname",
              "noPrivDisplayMode" : 1,
              "getPSAppDEField" : {
                "name" : "BOOKNAME",
                "codeName" : "BookName"
              },
              "width" : 100,
              "widthUnit" : "PX",
              "enableSort" : true
            }, {
              "align" : "LEFT",
              "cLConvertMode" : "FRONT",
              "caption" : "更新人",
              "codeName" : "updateman",
              "columnType" : "DEFGRIDCOLUMN",
              "dataItemName" : "updateman",
              "excelCaption" : "更新人",
              "name" : "updateman",
              "noPrivDisplayMode" : 1,
              "getPSAppCodeList" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/SysOperator.json"
              },
              "getPSAppDEField" : {
                "name" : "UPDATEMAN",
                "codeName" : "UpdateMan"
              },
              "width" : 150,
              "widthUnit" : "PX",
              "enableRowEdit" : true,
              "enableSort" : true
            }, {
              "align" : "LEFT",
              "cLConvertMode" : "NONE",
              "caption" : "建立时间",
              "codeName" : "createdate",
              "columnType" : "DEFGRIDCOLUMN",
              "dataItemName" : "createdate",
              "excelCaption" : "建立时间",
              "name" : "createdate",
              "noPrivDisplayMode" : 1,
              "getPSAppDEField" : {
                "name" : "CREATEDATE",
                "codeName" : "CreateDate"
              },
              "valueFormat" : "YYYY-MM-DD HH:mm:ss",
              "width" : 150,
              "widthUnit" : "PX",
              "enableSort" : true
            }, {
              "align" : "LEFT",
              "cLConvertMode" : "NONE",
              "caption" : "更新时间",
              "codeName" : "updatedate",
              "columnType" : "DEFGRIDCOLUMN",
              "dataItemName" : "updatedate",
              "excelCaption" : "更新时间",
              "name" : "updatedate",
              "noPrivDisplayMode" : 1,
              "getPSAppDEField" : {
                "name" : "UPDATEDATE",
                "codeName" : "UpdateDate"
              },
              "valueFormat" : "YYYY-MM-DD HH:mm:ss",
              "width" : 150,
              "widthUnit" : "PX",
              "enableSort" : true
            }, {
              "align" : "LEFT",
              "cLConvertMode" : "NONE",
              "caption" : "日期",
              "codeName" : "date",
              "columnType" : "DEFGRIDCOLUMN",
              "dataItemName" : "date",
              "excelCaption" : "日期",
              "name" : "date",
              "noPrivDisplayMode" : 1,
              "getPSAppDEField" : {
                "name" : "DATE",
                "codeName" : "Date"
              },
              "getPSControlLogics" : [ {
                "itemName" : "date",
                "logicTag" : "grid",
                "logicType" : "SCRIPT",
                "name" : "logic",
                "scriptCode" : "!!false",
                "triggerType" : "ITEMVISIBLE"
              } ],
              "valueFormat" : "YYYY",
              "width" : 150,
              "widthUnit" : "PX",
              "enableSort" : true
            }, {
              "align" : "LEFT",
              "cLConvertMode" : "FRONT",
              "caption" : "类型",
              "codeName" : "type",
              "columnType" : "DEFGRIDCOLUMN",
              "dataItemName" : "type",
              "excelCaption" : "类型",
              "name" : "type",
              "noPrivDisplayMode" : 1,
              "getPSAppCodeList" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/ModelRepository__CodeList44.json"
              },
              "getPSAppDEField" : {
                "name" : "TYPE",
                "codeName" : "Type"
              },
              "width" : 150,
              "widthUnit" : "PX",
              "enableSort" : true
            }, {
              "align" : "LEFT",
              "cLConvertMode" : "NONE",
              "caption" : "结束时间",
              "codeName" : "end",
              "columnType" : "DEFGRIDCOLUMN",
              "dataItemName" : "end",
              "excelCaption" : "结束时间",
              "name" : "end",
              "noPrivDisplayMode" : 1,
              "getPSAppDEField" : {
                "name" : "END",
                "codeName" : "End"
              },
              "valueFormat" : "YYYY-MM-DD HH:mm:ss",
              "width" : 150,
              "widthUnit" : "PX",
              "enableSort" : true
            }, {
              "align" : "LEFT",
              "cLConvertMode" : "NONE",
              "caption" : "属性23",
              "codeName" : "field23",
              "columnType" : "DEFGRIDCOLUMN",
              "dataItemName" : "field23",
              "excelCaption" : "属性23",
              "name" : "field23",
              "noPrivDisplayMode" : 1,
              "getPSAppDEField" : {
                "name" : "FIELD23",
                "codeName" : "Field23"
              },
              "width" : 100,
              "widthUnit" : "PX",
              "enableRowEdit" : true,
              "enableSort" : true
            }, {
              "align" : "LEFT",
              "cLConvertMode" : "NONE",
              "caption" : "属性45",
              "codeName" : "field45",
              "columnType" : "DEFGRIDCOLUMN",
              "dataItemName" : "field45",
              "excelCaption" : "属性45",
              "hideMode" : 1,
              "name" : "field45",
              "noPrivDisplayMode" : 1,
              "getPSAppDEField" : {
                "name" : "FIELD45",
                "codeName" : "FIELD45"
              },
              "width" : 100,
              "widthUnit" : "PX",
              "enableRowEdit" : true,
              "enableSort" : true,
              "hideDefault" : true
            } ],
            "getPSDEGridDataItems" : [ {
              "dataType" : 25,
              "name" : "bookname",
              "getPSAppDEField" : {
                "name" : "BOOKNAME",
                "codeName" : "BookName"
              }
            }, {
              "dataType" : 25,
              "name" : "updateman",
              "getPSAppDEField" : {
                "name" : "UPDATEMAN",
                "codeName" : "UpdateMan"
              }
            }, {
              "format" : "YYYY-MM-DD HH:mm:ss",
              "dataType" : 5,
              "name" : "createdate",
              "getPSAppDEField" : {
                "name" : "CREATEDATE",
                "codeName" : "CreateDate"
              }
            }, {
              "format" : "YYYY-MM-DD HH:mm:ss",
              "dataType" : 5,
              "name" : "updatedate",
              "getPSAppDEField" : {
                "name" : "UPDATEDATE",
                "codeName" : "UpdateDate"
              }
            }, {
              "format" : "YYYY",
              "dataType" : 5,
              "name" : "date",
              "getPSAppDEField" : {
                "name" : "DATE",
                "codeName" : "Date"
              }
            }, {
              "dataType" : 25,
              "name" : "type",
              "getPSAppDEField" : {
                "name" : "TYPE",
                "codeName" : "Type"
              }
            }, {
              "format" : "YYYY-MM-DD HH:mm:ss",
              "dataType" : 5,
              "name" : "end",
              "getPSAppDEField" : {
                "name" : "END",
                "codeName" : "End"
              }
            }, {
              "dataType" : 6,
              "name" : "field23",
              "getPSAppDEField" : {
                "name" : "FIELD23",
                "codeName" : "Field23"
              }
            }, {
              "dataType" : 9,
              "name" : "field45",
              "getPSAppDEField" : {
                "name" : "FIELD45",
                "codeName" : "FIELD45"
              }
            }, {
              "dataType" : 25,
              "name" : "srfkey",
              "getPSAppDEField" : {
                "name" : "BOOKID",
                "codeName" : "BookId"
              }
            }, {
              "dataType" : 25,
              "name" : "srfdataaccaction",
              "getPSAppDEField" : {
                "name" : "BOOKID",
                "codeName" : "BookId"
              },
              "dataAccessAction" : true
            }, {
              "dataType" : 25,
              "name" : "phoneid",
              "getPSAppDEField" : {
                "name" : "PHONEID",
                "codeName" : "PhoneId"
              }
            }, {
              "dataType" : 25,
              "name" : "pbookid",
              "getPSAppDEField" : {
                "name" : "PBOOKID",
                "codeName" : "Pbookid"
              }
            }, {
              "dataType" : 25,
              "name" : "srfmajortext",
              "getPSAppDEField" : {
                "name" : "BOOKNAME",
                "codeName" : "BookName"
              }
            } ],
            "getPSDEGridEditItems" : [ {
              "caption" : "更新人",
              "codeName" : "updateman",
              "enableCond" : 3,
              "ignoreInput" : 3,
              "name" : "updateman",
              "getPSAppDEField" : {
                "name" : "UPDATEMAN",
                "codeName" : "UpdateMan"
              },
              "getPSEditor" : {
                "editorType" : "SPAN",
                "name" : "updateman",
                "getPSAppCodeList" : {
                  "modelref" : true,
                  "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/SysOperator.json"
                },
                "enableLinkView" : false
              },
              "allowEmpty" : true,
              "convertToCodeItemText" : true
            }, {
              "caption" : "属性23",
              "codeName" : "field23",
              "enableCond" : 3,
              "ignoreInput" : 0,
              "name" : "field23",
              "getPSAppDEField" : {
                "name" : "FIELD23",
                "codeName" : "Field23"
              },
              "getPSEditor" : {
                "editorParams" : {
                  "FORCESELECTION" : "TRUE",
                  "TRIGGER" : "TRUE"
                },
                "editorType" : "AC_FS",
                "name" : "field23",
                "enableAC" : true,
                "forceSelection" : true,
                "showTrigger" : true
              },
              "allowEmpty" : true
            }, {
              "caption" : "属性45",
              "codeName" : "field45",
              "enableCond" : 3,
              "ignoreInput" : 0,
              "name" : "field45",
              "getPSAppDEField" : {
                "name" : "FIELD45",
                "codeName" : "FIELD45"
              },
              "getPSEditor" : {
                "editorParams" : {
                  "FORCESELECTION" : "FALSE",
                  "TRIGGER" : "TRUE"
                },
                "editorType" : "AC",
                "name" : "field45",
                "enableAC" : true,
                "forceSelection" : false,
                "showTrigger" : true
              },
              "allowEmpty" : true
            }, {
              "caption" : "书标识",
              "codeName" : "srfkey",
              "enableCond" : 3,
              "ignoreInput" : 0,
              "name" : "srfkey",
              "getPSAppDEField" : {
                "name" : "BOOKID",
                "codeName" : "BookId"
              },
              "getPSEditor" : {
                "editorType" : "HIDDEN",
                "name" : "srfkey"
              },
              "allowEmpty" : true
            } ],
            "pagingMode" : 1,
            "pagingSize" : 20,
            "getRemovePSControlAction" : {
              "actionName" : "Remove",
              "actionType" : "DEACTION",
              "dataAccessAction" : "DELETE",
              "name" : "remove",
              "getPSAppDEMethod" : {
                "modelref" : true,
                "id" : "Remove"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
              }
            },
            "sortMode" : "REMOTE",
            "hasWFDataItems" : false,
            "enableColFilter" : false,
            "enableCustomized" : true,
            "enableGroup" : false,
            "enablePagingBar" : true,
            "enableRowEdit" : false,
            "enableRowEditOrder" : false,
            "enableRowNew" : false,
            "forceFit" : false,
            "hideHeader" : false,
            "noSort" : false,
            "singleSelect" : false,
            "name" : "grid",
            "modelid" : "fa1370490e24654b68f76899ff0a5688",
            "modeltype" : "PSDEGRID"
          }, {
            "codeName" : "GridViewtoolbar",
            "controlType" : "TOOLBAR",
            "hookEventNames" : [ "ONCLICK" ],
            "logicName" : "分隔符测试",
            "name" : "toolbar",
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
            },
            "getPSControlLogics" : [ {
              "eventArg" : "deuiaction9",
              "eventNames" : "onClick",
              "itemName" : "deuiaction9",
              "logicTag" : "toolbar",
              "logicType" : "SCRIPT",
              "name" : "logic",
              "scriptCode" : "console.log('工具栏点击')"
            }, {
              "eventArg" : "deuiaction10",
              "eventNames" : "onClick",
              "itemName" : "deuiaction10",
              "logicTag" : "toolbar",
              "logicType" : "SCRIPT",
              "name" : "logic2",
              "scriptCode" : "console.log('工具栏点击')"
            } ],
            "getPSControlParam" : {
              "id" : "TOOLBAR"
            },
            "getPSDEToolbarItems" : [ {
              "caption" : "高亮指定行",
              "groupExtractMode" : "ITEM",
              "itemType" : "DEUIACTION",
              "name" : "deuiaction11",
              "noPrivDisplayMode" : 2,
              "getPSAppViewUIAction" : {
                "modelref" : true,
                "id" : "toolbar_deuiaction11"
              },
              "getPSSysImage" : {
                "glyph" : "xf0eb@FontAwesome",
                "cssClass" : "fa fa-lightbulb-o"
              },
              "getPSUIAction" : {
                "actionTarget" : "NONE",
                "caption" : "高亮指定行",
                "codeName" : "highLightRow",
                "frontProcessType" : "OTHER",
                "fullCodeName" : "Book_highLightRow",
                "name" : "高亮指定行",
                "getPSAppDataEntity" : {
                  "modelref" : true,
                  "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
                },
                "scriptCode" : "console.log('高亮指定行');\r\nconst gridC = view.getController('grid');\r\nconst items = gridC.state.items;\r\nconst index = view.getController('searchbar').state.query || [];\r\nconst keys = index.split(',');\r\nconst lightItems = keys.map(key => {\r\n    return items[key].srfkey;\r\n})\r\ngridC.highLightRows(lightItems);",
                "uIActionMode" : "FRONT",
                "uIActionTag" : "highLightRow",
                "uIActionType" : "DEUIACTION",
                "id" : "highLightRow@Book"
              },
              "tooltip" : "高亮指定行",
              "uIActionTarget" : "NONE",
              "showCaption" : true,
              "showIcon" : true
            }, {
              "caption" : "清除高亮",
              "groupExtractMode" : "ITEM",
              "itemType" : "DEUIACTION",
              "name" : "deuiaction12",
              "noPrivDisplayMode" : 2,
              "getPSAppViewUIAction" : {
                "modelref" : true,
                "id" : "toolbar_deuiaction12"
              },
              "getPSUIAction" : {
                "actionTarget" : "NONE",
                "caption" : "清除高亮行",
                "codeName" : "clearLight",
                "frontProcessType" : "OTHER",
                "fullCodeName" : "Book_clearLight",
                "name" : "清除高亮行",
                "getPSAppDataEntity" : {
                  "modelref" : true,
                  "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
                },
                "scriptCode" : "console.log('高亮指定行');\r\nconst gridC = view.getController('grid');\r\nconst items = gridC.state.items;\r\nconst index = view.getController('searchbar').state.query || [];\r\nconst keys = index.split(',');\r\nconst lightItems = keys.map(key => {\r\n    return items[key].srfkey;\r\n})\r\ngridC.clearHighLightRows(lightItems);",
                "uIActionMode" : "FRONT",
                "uIActionTag" : "clearLight",
                "uIActionType" : "DEUIACTION",
                "id" : "clearLight@Book"
              },
              "tooltip" : "清除高亮",
              "uIActionTarget" : "NONE",
              "showCaption" : true,
              "showIcon" : true
            }, {
              "buttonStyle" : "PRIMARY",
              "caption" : "主要",
              "counterId" : "openBaidu",
              "groupExtractMode" : "ITEM",
              "itemType" : "DEUIACTION",
              "name" : "deuiaction4",
              "noPrivDisplayMode" : 2,
              "getPSAppViewUIAction" : {
                "modelref" : true,
                "id" : "toolbar_deuiaction4"
              },
              "getPSUIAction" : {
                "actionTarget" : "NONE",
                "buttonStyle" : "WARNING",
                "caption" : "百度",
                "codeName" : "openBaidu",
                "counterId" : "openBaidu",
                "frontProcessType" : "OPENHTMLPAGE",
                "fullCodeName" : "openBaidu",
                "htmlPageUrl" : "https://www.baidu.com/",
                "name" : "百度_警告样式",
                "getPSAppCounter" : {
                  "modelref" : true,
                  "path" : "PSSYSAPPS/Web/PSAPPCOUNTERS/UIActionCounter.json"
                },
                "uIActionMode" : "FRONT",
                "uIActionTag" : "openBaidu",
                "uIActionType" : "DEUIACTION"
              },
              "tooltip" : "主要",
              "uIActionTarget" : "NONE",
              "showCaption" : true,
              "showIcon" : true
            }, {
              "caption" : "修改标题",
              "groupExtractMode" : "ITEM",
              "itemType" : "DEUIACTION",
              "name" : "deuiaction9",
              "noPrivDisplayMode" : 2,
              "getPSAppViewUIAction" : {
                "modelref" : true,
                "id" : "toolbar_deuiaction9"
              },
              "getPSControlLogics" : [ {
                "itemName" : "deuiaction9",
                "logicTag" : "toolbar",
                "logicType" : "SCRIPT",
                "name" : "itemvisible",
                "scriptCode" : "false",
                "triggerType" : "ITEMVISIBLE"
              } ],
              "getPSControlRenders" : [ {
                "layoutPanelModel" : "绘制器内容",
                "name" : "render",
                "renderType" : "LAYOUTPANEL_MODEL"
              } ],
              "getPSUIAction" : {
                "actionTarget" : "NONE",
                "caption" : "修改标题",
                "codeName" : "toolbar_GridViewtoolbar_deuiaction9_click",
                "fullCodeName" : "Book_toolbar_GridViewtoolbar_deuiaction9_click",
                "name" : "修改标题",
                "getPSAppDataEntity" : {
                  "modelref" : true,
                  "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
                },
                "timeout" : 60000,
                "uIActionMode" : "CUSTOM",
                "uIActionTag" : "toolbar_GridViewtoolbar_deuiaction9_click",
                "uIActionType" : "DEUIACTION",
                "id" : "toolbar_GridViewtoolbar_deuiaction9_click@Book"
              },
              "tooltip" : "修改标题",
              "uIActionTarget" : "NONE",
              "showCaption" : true,
              "showIcon" : true
            }, {
              "caption" : "显示隐藏搜索栏",
              "groupExtractMode" : "ITEM",
              "itemType" : "DEUIACTION",
              "name" : "deuiaction10",
              "noPrivDisplayMode" : 2,
              "getPSAppViewUIAction" : {
                "modelref" : true,
                "id" : "toolbar_deuiaction10"
              },
              "getPSControlAttributes" : [ {
                "attrName" : "type",
                "attrValue" : "danger",
                "name" : "type"
              } ],
              "getPSControlLogics" : [ {
                "itemName" : "deuiaction10",
                "logicTag" : "toolbar",
                "logicType" : "SCRIPT",
                "name" : "disabled",
                "scriptCode" : "false",
                "triggerType" : "ITEMENABLE"
              } ],
              "getPSUIAction" : {
                "actionTarget" : "NONE",
                "caption" : "显示隐藏搜索栏",
                "codeName" : "toolbar_GridViewtoolbar_deuiaction10_click",
                "fullCodeName" : "Book_toolbar_GridViewtoolbar_deuiaction10_click",
                "name" : "显示隐藏搜索栏",
                "getPSAppDataEntity" : {
                  "modelref" : true,
                  "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
                },
                "timeout" : 60000,
                "uIActionMode" : "CUSTOM",
                "uIActionTag" : "toolbar_GridViewtoolbar_deuiaction10_click",
                "uIActionType" : "DEUIACTION",
                "id" : "toolbar_GridViewtoolbar_deuiaction10_click@Book"
              },
              "tooltip" : "显示隐藏搜索栏",
              "uIActionTarget" : "NONE",
              "showCaption" : true,
              "showIcon" : true
            } ],
            "xDataControlName" : "grid",
            "modelid" : "397F8D1E-3C64-499E-A0E4-B5A7A93FBF19",
            "modeltype" : "PSDETOOLBAR"
          }, {
            "codeName" : "TestSearchBar",
            "controlType" : "SEARCHBAR",
            "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book/PSSEARCHBARS/TestSearchBar.json",
            "logicName" : "测试搜索栏",
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
            },
            "getPSControlParam" : {
              "ctrlParams" : {
                "ENABLESTORAGE" : "true",
                "ENABLEJSONSCHEMA" : "true",
                "JSONSCHEMAPARAMS" : "true"
              },
              "id" : "SEARCHBAR"
            },
            "quickGroupCount" : -1,
            "quickSearchMode" : 1,
            "quickSearchWidth" : 200,
            "enableFilter" : false,
            "enableGroup" : false,
            "enableQuickSearch" : true,
            "mobileSearchBar" : false,
            "name" : "searchbar",
            "modelid" : "3056FA79-0F25-496A-ACCE-F7671B22683F",
            "modeltype" : "PSSYSSEARCHBAR"
          }, {
            "caption" : "书",
            "codeName" : "GridViewcaptionbar",
            "controlType" : "CAPTIONBAR",
            "name" : "captionbar",
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
            },
            "getPSControlParam" : { }
          } ],
          "getPSDEViewCodeName" : "GridView",
          "getPSDEViewId" : "70a494442130986d205587b9b6a26ac6",
          "getPSViewLayoutPanel" : {
            "codeName" : "Layoutpanel",
            "controlStyle" : "APPDEGRIDVIEW",
            "controlType" : "VIEWLAYOUTPANEL",
            "name" : "layoutpanel",
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
            },
            "getPSControlParam" : { },
            "layoutBodyOnly" : true,
            "layoutPanel" : true,
            "useDefaultLayout" : true
          },
          "title" : "书表格视图",
          "viewStyle" : "DEFAULT",
          "viewType" : "DEGRIDVIEW",
          "width" : 1300,
          "xDataControlName" : "grid",
          "enableDP" : true,
          "enableExport" : true,
          "enableFilter" : true,
          "enableImport" : true,
          "enableQuickSearch" : true,
          "enableRowEdit" : false,
          "enableSearch" : true,
          "expandSearchForm" : true,
          "rowEditDefault" : false,
          "modelid" : "a9523851d901a5a06a410a8827dee62f",
          "modeltype" : "PSAPPDEVIEW"
        },
        "portletType" : "VIEW",
        "timer" : 5000,
        "title" : "视图部件",
        "showTitleBar" : true,
        "modelid" : "CBA326AB-9C90-4B9C-8925-32C6ADA418E9",
        "modeltype" : "PSSYSDBPART"
      } ],
      "portletType" : "CONTAINER",
      "title" : "看板容器",
      "showTitleBar" : true
    } ],
    "enableCustomized" : false,
    "name" : "dashboard",
    "modelid" : "081CD0CE-4B8A-4160-9A80-8024ADFFAF25",
    "modeltype" : "PSSYSDASHBOARD"
  }, {
    "getCapPSLanguageRes" : {
      "lanResTag" : "PAGE.CAPTION.TEST.DASHBOARDVIEW"
    },
    "caption" : "实体数据看板视图",
    "codeName" : "DashboardViewcaptionbar",
    "controlType" : "CAPTIONBAR",
    "name" : "captionbar",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
    },
    "getPSControlParam" : { }
  } ],
  "getPSDEViewCodeName" : "DashboardView",
  "getPSDEViewId" : "7F24BD6C-A8CC-4D69-8DC7-B605F4FD8236",
  "getPSViewLayoutPanel" : {
    "codeName" : "Layoutpanel",
    "controlStyle" : "APPDEPORTALVIEW",
    "controlType" : "VIEWLAYOUTPANEL",
    "name" : "layoutpanel",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
    },
    "getPSControlParam" : { },
    "layoutBodyOnly" : true,
    "layoutPanel" : true,
    "useDefaultLayout" : true
  },
  "title" : "实体数据看板视图",
  "getTitlePSLanguageRes" : {
    "lanResTag" : "PAGE.TITLE.TEST.DASHBOARDVIEW"
  },
  "viewStyle" : "DEFAULT",
  "viewType" : "DEPORTALVIEW",
  "enableDP" : true,
  "enableQuickGroup" : false,
  "enableQuickSearch" : false,
  "enableSearch" : false,
  "expandSearchForm" : true,
  "loadDefault" : true,
  "showDataInfoBar" : true,
  "modelid" : "081CD0CE-4B8A-4160-9A80-8024ADFFAF25",
  "modeltype" : "PSAPPDEVIEW"
}